com.informix.lang

## Class Types2

- java.lang.Object
- - com.informix.lang.Types2

    public class Types2
    extends java.lang.Object

### Field Summary

Fields
`static int` `ARRAY`
`static int` `BIGINT`
`static int` `BINARY`
`static int` `BIT`
`static int` `BLOB`
`static int` `CHAR`
`static int` `CLOB`
`static int` `DATE`
`static int` `DECIMAL`
`static int` `DISTINCT`
`static int` `DOUBLE`
`static int` `FLOAT`
`static int` `INTEGER`
`static int` `JAVA_OBJECT`
`static int` `LONGVARBINARY`
`static int` `LONGVARCHAR`
`static int` `NULL`
`static int` `NUMERIC`
`static int` `OTHER`
`static int` `REAL`
`static int` `REF`
`static int` `SMALLINT`
`static int` `STRUCT`
`static int` `TIME`
`static int` `TIMESTAMP`
`static int` `TINYINT`
`static int` `VARBINARY`
`static int` `VARCHAR`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIT

    public static final int BIT

See Also:
  Constant Field Values

#### TINYINT

    public static final int TINYINT

See Also:
  Constant Field Values

#### SMALLINT

    public static final int SMALLINT

See Also:
  Constant Field Values

#### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

#### BIGINT

    public static final int BIGINT

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

#### REAL

    public static final int REAL

See Also:
  Constant Field Values

#### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

#### NUMERIC

    public static final int NUMERIC

See Also:
  Constant Field Values

#### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

#### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

#### VARCHAR

    public static final int VARCHAR

See Also:
  Constant Field Values

#### LONGVARCHAR

    public static final int LONGVARCHAR

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

See Also:
  Constant Field Values

#### TIME

    public static final int TIME

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

#### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

#### VARBINARY

    public static final int VARBINARY

See Also:
  Constant Field Values

#### LONGVARBINARY

    public static final int LONGVARBINARY

See Also:
  Constant Field Values

#### NULL

    public static final int NULL

See Also:
  Constant Field Values

#### OTHER

    public static final int OTHER

See Also:
  Constant Field Values

#### JAVA_OBJECT

    public static final int JAVA_OBJECT

See Also:
  Constant Field Values

#### DISTINCT

    public static final int DISTINCT

See Also:
  Constant Field Values

#### STRUCT

    public static final int STRUCT

See Also:
  Constant Field Values

#### ARRAY

    public static final int ARRAY

See Also:
  Constant Field Values

#### BLOB

    public static final int BLOB

See Also:
  Constant Field Values

#### CLOB

    public static final int CLOB

See Also:
  Constant Field Values

#### REF

    public static final int REF

See Also:
  Constant Field Values